<Input::ContainerGroup
  @isMainValue={{false}}
  @title={{t "team"}}
  @onSave={{@saveTeam}}
  @onCancel={{@onCancel}}
  @onEdit={{@onEdit}}
  @editablePanel={{@editablePanel}}
  @savingPanel={{@savingPanel}}
  class="container-group-article"
  as |isEdit|
>
  {{#if isEdit}}
    {{#if @isAdmin}}
      <Manage::SelectWithVisibility @list={{@teams}} @value={{@model.visibility.team}} @onChange={{@saveTeam}} @areAllShowing={{@areAllShowing}} @toggleAll={{this.toggleAll}} />
    {{else}}
      <Input::Select @list={{@teams}} @value={{@model.visibility.team}} @onChange={{@saveTeam}} />
    {{/if}}
  {{else}}
    {{#if @model.visibility.team}}
      <LinkTo @route="manage.dashboards.dashboard" @model={{@model.visibility.team.id}}>{{@model.visibility.team.name}}</LinkTo>
    {{else}}
      <div class="alert alert-danger" role="alert">
        <FaIcon @icon="exclamation-triangle" />
        {{t "manage-section.unset-team"}}
      </div>
    {{/if}}
  {{/if}}
</Input::ContainerGroup>

<Manage::Toggle @title={{t "is public"}} class="mb-3" @id="toggle-is-public" @disabled={{@disabled}} @value={{@model.visibility.isPublic}} @onSave={{@saveIsPublic}} @savingField={{@savingPanel}} />

{{#if @hasIsDefault}}
  <Manage::Toggle @title={{t "is default"}} @id="toggle-is-default" @disabled={{@disabled}} @value={{@model.visibility.isDefault}} @onSave={{@saveIsDefault}} @savingField={{@savingPanel}} />
{{/if}}